﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ZoomDemoCSharp
{
    public partial class fMain : Form
    {
        public fMain()
        {
            InitializeComponent();
        }

        private void cmdLoad_Click(object sender, EventArgs e)
        {
            axImageBox2.LoadDialog();
            if (axImageBox2.ImageLoaded)
                drawZoomRect();

            axImageBox1.ReleaseBMPHandle = false;
        }

        private void drawZoomRect()
        {
            int x1, x2, y1, y2;
            x1 = (int)(axImageBox2.ScrollBarHorizPos / axImageBox2.Zoom * 100);
            y1 = (int)(axImageBox2.ScrollBarVertPos / axImageBox2.Zoom * 100);
            x2 = x1 + axImageBox2.Width;
            if (axImageBox2.HasScrollBarVert)
                x2 = x2 + (int)(16 * 100 / axImageBox2.Zoom);
            y2 = y1 + axImageBox2.Height;
            if (axImageBox2.HasScrollBarHoriz)
                y2 = y2 + (int)(16 * 100 / axImageBox2.Zoom);

            axImageBox1.KeepScrollPos = true;
            axImageBox1.BMPHandle = axImageBox2.BMPHandle;
            axImageBox1.BrushStyle = csXImageTrial.TxBrushStyle.bsClear;
            axImageBox1.SelectRectangle(x1, y1, x2, y2);
            axImageBox1.SelectionVisible = false;
            axImageBox1.UseSelection = true;
            axImageBox1.Brightness(70, true, true, true);
            axImageBox1.Rectangle(x1, y1, x2 + 1, y2 + 1);
        }

        private void cmdZoomIn_Click(object sender, EventArgs e)
        {
            axImageBox2.Zoom = axImageBox2.Zoom * 1.1;
            drawZoomRect();
        }

        private void cmdZoomOut_Click(object sender, EventArgs e)
        {
            axImageBox2.Zoom = axImageBox2.Zoom / 1.1;
            drawZoomRect();
        }

        private void axImageBox2_OnScroll(object sender, EventArgs e)
        {
            drawZoomRect();
        }



    }
}
